org.apache.commons.math3.optimization

## Class SimpleVectorValueChecker

- java.lang.Object
- - org.apache.commons.math3.optimization.AbstractConvergenceChecker<PointVectorValuePair>
  - - org.apache.commons.math3.optimization.SimpleVectorValueChecker

- All Implemented Interfaces:
    ConvergenceChecker<PointVectorValuePair>

      public class SimpleVectorValueChecker
      extends AbstractConvergenceChecker<PointVectorValuePair>

  Simple implementation of the `ConvergenceChecker` interface using only objective function values. Convergence is considered to have been reached if either the relative difference between the objective function values is smaller than a threshold or if either the absolute difference between the objective function values is smaller than another threshold for all vectors elements.
  Since:
    3.0
  Version:
    $Id: SimpleVectorValueChecker.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleVectorValueChecker()` Build an instance with default thresholds.
    `SimpleVectorValueChecker(double relativeThreshold, double absoluteThreshold)` Build an instance with specified thresholds.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `converged(int iteration, PointVectorValuePair previous, PointVectorValuePair current)` Check if the optimization algorithm has converged considering the last two points.

    - ### Methods inherited from class org.apache.commons.math3.optimization.AbstractConvergenceChecker

      `getAbsoluteThreshold, getRelativeThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleVectorValueChecker

          public SimpleVectorValueChecker()

      Build an instance with default thresholds.

    - #### SimpleVectorValueChecker

          public SimpleVectorValueChecker(double relativeThreshold,
                                  double absoluteThreshold)

      Build an instance with specified thresholds. In order to perform only relative checks, the absolute tolerance must be set to a negative value. In order to perform only absolute checks, the relative tolerance must be set to a negative value.
      Parameters:
        `relativeThreshold` - relative tolerance threshold
        `absoluteThreshold` - absolute tolerance threshold

  - ### Method Detail

    - #### converged

          public boolean converged(int iteration,
                          PointVectorValuePair previous,
                          PointVectorValuePair current)

      Check if the optimization algorithm has converged considering the last two points. This method may be called several time from the same algorithm iteration with different points. This can be detected by checking the iteration number at each call if needed. Each time this method is called, the previous and current point correspond to points with the same role at each iteration, so they can be compared. As an example, simplex-based algorithms call this method for all points of the simplex, not only for the best or worst ones.
      Specified by:
        `converged` in interface `ConvergenceChecker<PointVectorValuePair>`
      Specified by:
        `converged` in class `AbstractConvergenceChecker<PointVectorValuePair>`
      Parameters:
        `iteration` - Index of current iteration
        `previous` - Best point in the previous iteration.
        `current` - Best point in the current iteration.
      Returns:
        `true` if the algorithm has converged.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.